package com.qy.worksheetsystem.entity;

import java.util.Date;

public class CTWORWorkSheet {
    private String FCreatorID;
    private Date FCreateTime;
    private String FLastUpdateUserID;
    private Date FLastUpdateTime;
    private String FControlUnitID;
    private String FNumber;
    private Date FBizDate;
    private String FHandlerID;
    private String FDescription;
    private int FHasEffected;
    private String FAuditorID;
    private String FSourceBillID;
    private String FSourceFunction;
    private String FID;
    private String CFPersonID;
    private String CFPersonNumber;
    private String CFPersonName;
    private String CFProjectID;
    private String CFProjectName;
    private Date CFReportDate;
    private String CFReportMonth;
    private String CFAttendanceID;
    private String CFAttendanceName;
    private String CFWorkHourType;
    private String CFProjectPhase;
    private String CFWorkingHours;
    private String CFStatus;
    private String CFApproverID;
    private String CFApproverName;
    private String CFCalendarType;

    public CTWORWorkSheet() {
    }

    public CTWORWorkSheet(String FCreatorID, Date FCreateTime, String FLastUpdateUserID, Date FLastUpdateTime, String FControlUnitID, String FNumber, Date FBizDate, String FHandlerID, String FDescription, int FHasEffected, String FAuditorID, String FSourceBillID, String FSourceFunction, String FID, String CFPersonID, String CFPersonNumber, String CFPersonName, String CFProjectID, String CFProjectName, Date CFReportDate, String CFReportMonth, String CFAttendanceID, String CFAttendanceName, String CFWorkHourType, String CFProjectPhase, String CFWorkingHours, String CFStatus, String CFApproverID, String CFApproverName, String CFCalendarType) {
        this.FCreatorID = FCreatorID;
        this.FCreateTime = FCreateTime;
        this.FLastUpdateUserID = FLastUpdateUserID;
        this.FLastUpdateTime = FLastUpdateTime;
        this.FControlUnitID = FControlUnitID;
        this.FNumber = FNumber;
        this.FBizDate = FBizDate;
        this.FHandlerID = FHandlerID;
        this.FDescription = FDescription;
        this.FHasEffected = FHasEffected;
        this.FAuditorID = FAuditorID;
        this.FSourceBillID = FSourceBillID;
        this.FSourceFunction = FSourceFunction;
        this.FID = FID;
        this.CFPersonID = CFPersonID;
        this.CFPersonNumber = CFPersonNumber;
        this.CFPersonName = CFPersonName;
        this.CFProjectID = CFProjectID;
        this.CFProjectName = CFProjectName;
        this.CFReportDate = CFReportDate;
        this.CFReportMonth = CFReportMonth;
        this.CFAttendanceID = CFAttendanceID;
        this.CFAttendanceName = CFAttendanceName;
        this.CFWorkHourType = CFWorkHourType;
        this.CFProjectPhase = CFProjectPhase;
        this.CFWorkingHours = CFWorkingHours;
        this.CFStatus = CFStatus;
        this.CFApproverID = CFApproverID;
        this.CFApproverName = CFApproverName;
        this.CFCalendarType = CFCalendarType;
    }

    public String getFCreatorID() {
        return FCreatorID;
    }

    public void setFCreatorID(String FCreatorID) {
        this.FCreatorID = FCreatorID;
    }

    public Date getFCreateTime() {
        return FCreateTime;
    }

    public void setFCreateTime(Date FCreateTime) {
        this.FCreateTime = FCreateTime;
    }

    public String getFLastUpdateUserID() {
        return FLastUpdateUserID;
    }

    public void setFLastUpdateUserID(String FLastUpdateUserID) {
        this.FLastUpdateUserID = FLastUpdateUserID;
    }

    public Date getFLastUpdateTime() {
        return FLastUpdateTime;
    }

    public void setFLastUpdateTime(Date FLastUpdateTime) {
        this.FLastUpdateTime = FLastUpdateTime;
    }

    public String getFControlUnitID() {
        return FControlUnitID;
    }

    public void setFControlUnitID(String FControlUnitID) {
        this.FControlUnitID = FControlUnitID;
    }

    public String getFNumber() {
        return FNumber;
    }

    public void setFNumber(String FNumber) {
        this.FNumber = FNumber;
    }

    public Date getFBizDate() {
        return FBizDate;
    }

    public void setFBizDate(Date FBizDate) {
        this.FBizDate = FBizDate;
    }

    public String getFHandlerID() {
        return FHandlerID;
    }

    public void setFHandlerID(String FHandlerID) {
        this.FHandlerID = FHandlerID;
    }

    public String getFDescription() {
        return FDescription;
    }

    public void setFDescription(String FDescription) {
        this.FDescription = FDescription;
    }

    public int getFHasEffected() {
        return FHasEffected;
    }

    public void setFHasEffected(int FHasEffected) {
        this.FHasEffected = FHasEffected;
    }

    public String getFAuditorID() {
        return FAuditorID;
    }

    public void setFAuditorID(String FAuditorID) {
        this.FAuditorID = FAuditorID;
    }

    public String getFSourceBillID() {
        return FSourceBillID;
    }

    public void setFSourceBillID(String FSourceBillID) {
        this.FSourceBillID = FSourceBillID;
    }

    public String getFSourceFunction() {
        return FSourceFunction;
    }

    public void setFSourceFunction(String FSourceFunction) {
        this.FSourceFunction = FSourceFunction;
    }

    public String getFID() {
        return FID;
    }

    public void setFID(String FID) {
        this.FID = FID;
    }

    public String getCFPersonID() {
        return CFPersonID;
    }

    public void setCFPersonID(String CFPersonID) {
        this.CFPersonID = CFPersonID;
    }

    public String getCFPersonNumber() {
        return CFPersonNumber;
    }

    public void setCFPersonNumber(String CFPersonNumber) {
        this.CFPersonNumber = CFPersonNumber;
    }

    public String getCFPersonName() {
        return CFPersonName;
    }

    public void setCFPersonName(String CFPersonName) {
        this.CFPersonName = CFPersonName;
    }

    public String getCFProjectID() {
        return CFProjectID;
    }

    public void setCFProjectID(String CFProjectID) {
        this.CFProjectID = CFProjectID;
    }

    public String getCFProjectName() {
        return CFProjectName;
    }

    public void setCFProjectName(String CFProjectName) {
        this.CFProjectName = CFProjectName;
    }

    public Date getCFReportDate() {
        return CFReportDate;
    }

    public void setCFReportDate(Date CFReportDate) {
        this.CFReportDate = CFReportDate;
    }

    public String getCFReportMonth() {
        return CFReportMonth;
    }

    public void setCFReportMonth(String CFReportMonth) {
        this.CFReportMonth = CFReportMonth;
    }

    public String getCFAttendanceID() {
        return CFAttendanceID;
    }

    public void setCFAttendanceID(String CFAttendanceID) {
        this.CFAttendanceID = CFAttendanceID;
    }

    public String getCFAttendanceName() {
        return CFAttendanceName;
    }

    public void setCFAttendanceName(String CFAttendanceName) {
        this.CFAttendanceName = CFAttendanceName;
    }

    public String getCFWorkHourType() {
        return CFWorkHourType;
    }

    public void setCFWorkHourType(String CFWorkHourType) {
        this.CFWorkHourType = CFWorkHourType;
    }

    public String getCFProjectPhase() {
        return CFProjectPhase;
    }

    public void setCFProjectPhase(String CFProjectPhase) {
        this.CFProjectPhase = CFProjectPhase;
    }

    public String getCFWorkingHours() {
        return CFWorkingHours;
    }

    public void setCFWorkingHours(String CFWorkingHours) {
        this.CFWorkingHours = CFWorkingHours;
    }

    public String getCFStatus() {
        return CFStatus;
    }

    public void setCFStatus(String CFStatus) {
        this.CFStatus = CFStatus;
    }

    public String getCFApproverID() {
        return CFApproverID;
    }

    public void setCFApproverID(String CFApproverID) {
        this.CFApproverID = CFApproverID;
    }

    public String getCFApproverName() {
        return CFApproverName;
    }

    public void setCFApproverName(String CFApproverName) {
        this.CFApproverName = CFApproverName;
    }

    public String getCFCalendarType() {
        return CFCalendarType;
    }

    public void setCFCalendarType(String CFCalendarType) {
        this.CFCalendarType = CFCalendarType;
    }
}
